From 7f87217ebf1ca84ad63d995d88eda45341273fad Mon Sep 17 00:00:00 2001
From: Vicentiu Galanopulo <vicentiu.galanopulo@nxp.com>
Date: Tue, 7 Nov 2017 16:15:03 +0200
Subject: [PATCH] Added MII IOCTL support for SIOCGMIIREG

Signed-off-by: Vicentiu Galanopulo <vicentiu.galanopulo@nxp.com>
---
 drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_common.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

--- a/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_common.c
+++ b/drivers/net/ethernet/freescale/sdk_dpaa/dpaa_eth_common.c
@@ -444,14 +444,18 @@ int dpa_ioctl(struct net_device *dev, st
 #ifdef CONFIG_FSL_DPAA_1588
 	struct dpa_priv_s *priv = netdev_priv(dev);
 #endif
-	int ret = 0;
+	int ret = -EINVAL;
 
-	/* at least one timestamping feature must be enabled */
-#ifdef CONFIG_FSL_DPAA_TS
 	if (!netif_running(dev))
-#endif
 		return -EINVAL;
 
+	if (cmd == SIOCGMIIREG) {
+		if (!dev->phydev)
+			ret = -EINVAL;
+		else
+			ret = phy_mii_ioctl(dev->phydev, rq, cmd);
+	}
+
 #ifdef CONFIG_FSL_DPAA_TS
 	if (cmd == SIOCSHWTSTAMP)
 		return dpa_ts_ioctl(dev, rq, cmd);
